Get an environment
Returns an environment.
GET
/project/{project_id}/environment/{environment_id}Authorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
project_iduuidrequiredThe unique identifier for the project
environment_iduuidrequiredThe unique identifier of the environment
Responses
200
Environment retrieved successfully
iduuidrequiredA universally unique identifier (UUID) string
organization_iduuidrequiredA universally unique identifier (UUID) string
project_iduuidrequiredA universally unique identifier (UUID) string
cluster_iduuidrequiredA universally unique identifier (UUID) string
namestringrequiredThe name of the environment.
typeenvironment_typerequiredThe type of the environment.
Allowed:
developmentstagingproductioncreated_atstring<date-time>requiredThe timestamp when the environment was created.
updated_atstring<date-time>requiredThe timestamp when the environment was last updated.
deleted_atstring<date-time> | nullrequiredThe timestamp when the environment was deleted.
default
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling